package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业计划要求对象 a_marjor_plan
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AMarjorPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;
    /** 查询年度 */
    @Excel(name = "查询年度")
    private Integer matchYear;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校 */
    @Excel(name = "院校")
    private String universityName;

    private String level;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroup;

    /** 专业 */
    @Excel(name = "专业代码")
    private String majorCode;

    /** 专业 */
    @Excel(name = "专业")
    private String majorName;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String majorDirection;


    /** 招生代码 */
    @Excel(name = "院校招生代码")
    private String enrollCode;

    /** 招生代码 */
    @Excel(name = "专业招生代码")
    private String majorEnrollCode;

    /** 考生类型 */
    @Excel(name = "考生类型")
    private String examineeType;

    /** 计划人数 */
    @Excel(name = "计划人数")
    private Integer planTotal;

    private Integer xuefei;

    /** 学制 */
    @Excel(name = "学制")
    private Integer lengthOfSchooling;

    /** 综合分 */
    @Excel(name = "综合分")
    private Double score;

    /** 文化 */
    @Excel(name = "文化")
    private Double culturalScore;

    /** 专业技能 */
    @Excel(name = "专业技能")
    private Double profScore;

    /** 校考 */
    @Excel(name = "校考")
    private Double schoolScore;

    /** 语 */
    @Excel(name = "语")
    private Double chinessScore;

    /** 数 */
    @Excel(name = "数")
    private Double mathScore;

    /** 英 */
    @Excel(name = "英")
    private Double englishScore;

    /** 自定义: 支持所有分英的算式函数 */
    @Excel(name = "自定义: 支持所有分英的算式函数")
    private String custCond;

    /** 备注 */
    @Excel(name = "备注")
    private String comment;

    /** 合适企业 */
    @Excel(name = "合适企业")
    private String company;

    /** 临时 */
    private String test;

    private String enrollFormula;

    /** 报录比 */
    @Excel(name = "报录比")
    private String acceptanceRate;

    /** 报名数 */
    @Excel(name = "报名数")
    private Integer enrollCount;

    public Integer getXuefei() {
        return xuefei;
    }

    public void setXuefei(Integer xuefei) {
        this.xuefei = xuefei;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }

    public Integer getMatchYear() {
        return matchYear;
    }

    public void setMatchYear(Integer matchYear) {
        this.matchYear = matchYear;
    }

    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setLevel(String level) {
        this.level = level;
    }

    public String getLevel() {
        return level;
    }
    public void setMajorGroup(String majorGroup) 
    {
        this.majorGroup = majorGroup;
    }

    public String getMajorGroup() 
    {
        return majorGroup;
    }
    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }

    public String getMajorCode() {
        return majorCode;
    }
    public void setMajorName(String majorName)
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorDirection(String majorDirection) 
    {
        this.majorDirection = majorDirection;
    }

    public String getMajorDirection() 
    {
        return majorDirection;
    }
    public void setEnrollCode(String enrollCode) {
        this.enrollCode = enrollCode;
    }

    public String getEnrollCode() {
        return enrollCode;
    }
    public void setMajorEnrollCode(String majorEnrollCode) {
        this.majorEnrollCode = majorEnrollCode;
    }


    public String getMajorEnrollCode() {
        return majorEnrollCode;
    }
    public void setExamineeType(String examineeType)
    {
        this.examineeType = examineeType;
    }

    public String getExamineeType() 
    {
        return examineeType;
    }
    public void setPlanTotal(Integer planTotal) 
    {
        this.planTotal = planTotal;
    }

    public Integer getPlanTotal() 
    {
        return planTotal;
    }
    public void setLengthOfSchooling(Integer lengthOfSchooling) 
    {
        this.lengthOfSchooling = lengthOfSchooling;
    }

    public Integer getLengthOfSchooling() 
    {
        return lengthOfSchooling;
    }
    public void setScore(Double score) 
    {
        this.score = score;
    }

    public Double getScore() 
    {
        return score;
    }
    public void setCulturalScore(Double culturalScore) 
    {
        this.culturalScore = culturalScore;
    }

    public Double getCulturalScore() 
    {
        return culturalScore;
    }
    public void setProfScore(Double profScore) 
    {
        this.profScore = profScore;
    }

    public Double getProfScore() 
    {
        return profScore;
    }
    public void setSchoolScore(Double schoolScore) 
    {
        this.schoolScore = schoolScore;
    }

    public Double getSchoolScore() 
    {
        return schoolScore;
    }
    public void setChinessScore(Double chinessScore) 
    {
        this.chinessScore = chinessScore;
    }

    public Double getChinessScore() 
    {
        return chinessScore;
    }
    public void setMathScore(Double mathScore) 
    {
        this.mathScore = mathScore;
    }

    public Double getMathScore() 
    {
        return mathScore;
    }
    public void setEnglishScore(Double englishScore) 
    {
        this.englishScore = englishScore;
    }

    public Double getEnglishScore() 
    {
        return englishScore;
    }
    public void setCustCond(String custCond) 
    {
        this.custCond = custCond;
    }

    public String getCustCond() 
    {
        return custCond;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setCompany(String company) 
    {
        this.company = company;
    }

    public String getCompany() 
    {
        return company;
    }
    public void setTest(String test) 
    {
        this.test = test;
    }

    public String getTest() 
    {
        return test;
    }

    public String getEnrollFormula() {
        return enrollFormula;
    }

    public void setEnrollFormula(String enrollFormula) {
        this.enrollFormula = enrollFormula;
    }

    public String getAcceptanceRate() {
        return acceptanceRate;
    }

    public void setAcceptanceRate(String acceptanceRate) {
        this.acceptanceRate = acceptanceRate;
    }

    public Integer getEnrollCount() {
        return enrollCount;
    }

    public void setEnrollCount(Integer enrollCount) {
        this.enrollCount = enrollCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("majorGroup", getMajorGroup())
            .append("majorName", getMajorName())
            .append("majorDirection", getMajorDirection())
            .append("examineeType", getExamineeType())
            .append("planTotal", getPlanTotal())
            .append("lengthOfSchooling", getLengthOfSchooling())
            .append("score", getScore())
            .append("culturalScore", getCulturalScore())
            .append("profScore", getProfScore())
            .append("schoolScore", getSchoolScore())
            .append("chinessScore", getChinessScore())
            .append("mathScore", getMathScore())
            .append("englishScore", getEnglishScore())
            .append("custCond", getCustCond())
            .append("comment", getComment())
            .append("company", getCompany())
            .append("test", getTest())
            .append("enrollFormula", getEnrollFormula())
            .append("acceptanceRate", getAcceptanceRate())
            .append("enrollCount", getEnrollCount())
            .toString();
    }
}
